Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjml2java2
Class QCCoin

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMpeerSupportLite
            |
            +--com.jxml.quick.ocm.OCMrootPeerSupportLite
                  |
                  +--com.jxml.quick.ocm.OCMtemplate
                        |
                        +--com.jxml.quick.util.qjml2java2.QCCoin

All Implemented Interfaces:
  OCMpeer, OCMrootPeer

Direct Known Subclasses:
  QCAbstract, QCBean, QCInterface, QCText

public class QCCoin
extends OCMtemplate

Controller class for QCCoin

Field Summary
`String` | `altTemplate`
`TreeMap` | `coinMap`
`QMCoin` | `ed`
`String` | `folder`
`String` | `packageName`
`Map` | `properties`
`QMQJML` | `qjml`
`File` | `qjmlInJava`
`ArrayList` | `remList`
`StringBuffer` | `sb`
`String` | `shortClassName`

Fields inherited from class com.jxml.quick.ocm.OCMpeerSupportLite
`context, dataModel, paramMap, parent`

Constructor Summary
`QCCoin()`

Method Summary
`void` | `cvt(Object param)` Method declaration This method contains logic for generation of directory
`String` | `process(String templateName, String arg)` Method declaration for remarks and packages This method contains the template processing logic

Methods inherited from class com.jxml.quick.ocm.OCMtemplate
`expand, expandString, express, express`

Methods inherited from class com.jxml.quick.ocm.OCMrootPeerSupportLite
`convert, convert, getOutputRoot`

Methods inherited from class com.jxml.quick.ocm.OCMpeerSupportLite
`doCvt, doCvt, doCvt, init, peer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.ocm.OCMpeer
`init`

Field Detail

### sb

    public StringBuffer sb

### properties

    public Map properties

### qjml

    public QMQJML qjml

### coinMap

    public TreeMap coinMap

### ed

    public QMCoin ed

### shortClassName

    public String shortClassName

### packageName

    public String packageName

### folder

    public String folder

### qjmlInJava

    public File qjmlInJava

### altTemplate

    public String altTemplate

### remList

    public ArrayList remList

Constructor Detail

### QCCoin

    public QCCoin()

Method Detail

### cvt

    public void cvt(Object param)
             throws SAXException,
                    IOException

  Method declaration
  This method contains logic for generation of directory
  Overrides:
    `cvt` in class `OCMtemplate`
  Parameters:
    `param` - Name of the parameter
  Throws:
    `SAXException` - Legal SAXException
    `IOException` - Ligal IOException

### process

    public String process(String templateName,
                          String arg)
                   throws SAXException,
                          IOException

  Method declaration for remarks and packages
  This method contains the template processing logic
  Overrides:
    `process` in class `OCMtemplate`
  Parameters:
    `templateName` - Name of the templates
    `arg` - The parameter name
  Returns:
    shortClassName
  Throws:
    `SAXException` -
    `IOException` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD